Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 174000 - Should umount tmpfs before swapoff
Summary: Should umount tmpfs before swapoff
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-23 15:24 UTC by Russell Coker
Modified: 2014-03-17 02:57 UTC (History)
3 users (show)

Fixed In Version: 8.26-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-07 12:46:14 UTC


Attachments (Terms of Use)

Description Russell Coker 2005-11-23 15:24:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux) KHTML/3.4.92 (like Gecko)

Description of problem:
The contents of a tmpfs file system may be paged out.  Paged out memory is 
paged in at swapoff time, while the contents of a tmpfs are discarded when it 
is umounted. 
 
Putting "umount -a -t tmpfs" before the swapoff line in /etc/rc.d/init.d/halt 
can potentially save hundreds of megs of data from being needlessly read from 
disk.  This can save battery on a laptop and will save time on any machine 
while not providing any disadvantage. 
 
If the amount of data stored on the tmpfs file system is greater than the size 
of physical memory then swapoff isn't going to work. 

Version-Release number of selected component (if applicable):
initscripts-8.17-1

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Comment 1 Miloslav Trmač 2006-02-07 12:46:14 UTC
Fixed in initscripts-8.26-1.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.